Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Transition

    |
    +--biouml.model.dynamics.EModelRoleSupport
      |
      +--biouml.model.dynamics.Transition

public class Transition
extends EModelRoleSupport
implements ExpressionOwner

Constructor Summary
`Transition(DiagramElement de)`

Method Summary
`void` | `addAssignment(Assignment ea, boolean fire)`
`String` | `getAfter()`
`Assignment[]` | `getAssignment()`
`Assignment` | `getAssignment(int i)`
`String[]` | `getExpressions()`
`EModelRole` | `getRole()`
`String` | `getWhen()`
`boolean` | `isExpression(String propertyName)`
`void` | `setAfter(String after)`
`void` | `setAssignment(Assignment[] assignment)`
`void` | `setAssignment(int i, Assignment assignment)`
`void` | `setWhen(String when)`
`String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`clone, getComment, getDiagramElement, setComment`

Constructor Detail

### Transition

    public Transition(DiagramElement de)

Method Detail

### addAssignment

    public void addAssignment(Assignment ea, boolean fire)

### getAfter

    public String getAfter()

### getAssignment

    public Assignment[] getAssignment()

### getAssignment

    public Assignment getAssignment(int i)

### getExpressions

    public String[] getExpressions()

### getRole

    public EModelRole getRole()

### getWhen

    public String getWhen()

### isExpression

    public boolean isExpression(String propertyName)

### setAfter

    public void setAfter(String after)

### setAssignment

    public void setAssignment(Assignment[] assignment)

### setAssignment

    public void setAssignment(int i, Assignment assignment)

### setWhen

    public void setWhen(String when)

### toString

    public String toString()

Association Links

to Class java.lang.String

  Indicates condition when transition should occur. Mutually exclusive with 'after'.

to Class java.lang.String

  Indicates time delay for . Mutually exclusive with 'when'.

to Class biouml.model.dynamics.Assignment

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM